services:
  sos:
    image: gitea.jde.nz/public/simple-object-storage:test
    ports:
      - 7703:80
    volumes:
      - ${LOCALCONFIG}:/data/sos_config.json:ro
    environment:
      - SOS_CONFIG=/data/sos_config.json
    restart: no
    healthcheck:
      test: ["CMD", "curl", "-f", "http://localhost:7703/status"]
      interval: 1s
      timeout: 1s
      retries: 3
      start_period: 1s
